2019-12-10 13:49 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002356FSSCPSEXPspublic2010-12-22 17:44
ReporterGeneralBattuta 
Assigned ToFUBAR-BDHR 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionAntipodes 7 
Target VersionFixed in Version3.6.13 
Summary0002356: Turret-free-all in an every-time acts as turret-lock-all
DescriptionEvery-time (true) (turret-free-all (SHIP)) causes Ship to be unable to fire any of its turrets. Changing 'true' to a time or event cue will cause the turrets to lock up at that time or event.
Additional InformationHave not tested back to 3.6.12 or earlier builds to see if it's a recent issue. Test mission attached.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012559

FUBAR-BDHR (developer)

This looks like an easy one. Timestap gets reset every time a turret is unlocked. Simple check to see if it's already unlocked should fix it.

~0012572

FUBAR-BDHR (developer)

Fixed in revision 6880
+Notes

-Issue History
Date Modified Username Field Change
2010-12-15 20:48 GeneralBattuta New Issue
2010-12-15 20:48 GeneralBattuta File Added: TurretFreeBugTest.fs2
2010-12-15 20:51 FUBAR-BDHR Status new => assigned
2010-12-15 20:51 FUBAR-BDHR Assigned To => FUBAR-BDHR
2010-12-15 20:52 FUBAR-BDHR Note Added: 0012559
2010-12-22 17:44 FUBAR-BDHR Note Added: 0012572
2010-12-22 17:44 FUBAR-BDHR Status assigned => resolved
2010-12-22 17:44 FUBAR-BDHR Fixed in Version => 3.6.13
2010-12-22 17:44 FUBAR-BDHR Resolution open => fixed
+Issue History